## Web Application Example

This example demonstrates the implementation of a simple web application.

### Architecture

The application is structured according to the MVC pattern:

- The *model* is implemented by the `NewsAgency` that manages the news
- The *controller* is implemented by the `NewsServlet` ant the `LoginServlet` that process HTTP requests
- The *view* consists of the following web pages: 
	- `news` allows any user to view and search for news (`GET` request)
	- `login` allows an administrator to log in (`POST` request)
	- `desk` allows an administrator to post news (`POST` request)

### Features

- The news agency is implemented using the singleton pattern
- The news resulting from a search are passed to the view as an attribute of the request
- The name of the logged-in user is stored in the session and checked when news are posted
