package org.example.model;

import java.time.LocalDate;
import java.util.ArrayList;
import java.util.List;

public class NewsAgency {

	private static final NewsAgency instance = new NewsAgency();

	public static NewsAgency getInstance() {
		return instance;
	}

	private final List<NewsItem> items = new ArrayList<>();
	private int lastId = 0;

	private NewsAgency() {
		items.add(new NewsItem(++lastId, LocalDate.now(), "Today is a good day."));
	}

	public List<NewsItem> getNews() {
		return items;
	}

	public List<NewsItem> searchNews(String keyword) {
		return items.stream().filter(item -> item.getText().toLowerCase().contains(keyword.toLowerCase())).toList();
	}

	public void postNews(String text) throws InvalidNewsException {
		if (!text.matches("[A-Za-z0-9,. ]+")) throw new InvalidNewsException();
		NewsItem item = new NewsItem(++lastId, LocalDate.now(), text);
		items.add(item);
	}
}
